Subject: bug#11079: master: Small typos in TAP documentation

From: Stefano Lattarini <[email-masked]>
Date: Sat, 24 Mar 2012 16:54:52 +0100

tags 11079 patch
severity 11079 minor
close 11079
thanks

On 03/23/2012 10:46 PM, Tim Landscheidt wrote:
> Hi,
Hi Tim, thanks for the report and the patch.

> the attached patch fixes some small typos in the TAP documentation.
>
Well spotted!  I've applied the patch (with minor tweaks to the commit message).

> The latter also contains one unfinished sentence that the former marks
> with FIXME.
>
Thanks for this as well.  I've fixed the issued with the attached follow-up
patch.

I'm thus closing this bug report.

Best regards,
  Stefano
>From 6f245d7344f5bcc580ca2c27b7a06f4bd6d7598c Mon Sep 17 00:00:00 2001
Message-Id: <6f245d734[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Sat, 24 Mar 2012 16:50:38 +0100
Subject: [PATCH] docs: terminate unfinished sentence, fix reference to a test
 case

* doc/automake.texi (Using the TAP test protocol): Here.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 doc/automake.texi |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/automake.texi b/doc/automake.texi
index ef65d8d..7d548c7 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -9602,12 +9602,12 @@ supports the following options, whose names are chosen for enhanced
 compatibility with the @command{prove} utility.
 
 @table @option
-@c Keep in sync with 'tap-exit.test' and 'tap-signal.test'.
+@c Keep in sync with 'tap-exit.test' and 'tap-signal.tap'.
 @item --ignore-exit
 Causes the test driver to ignore the exit status of the test scripts;
 by default, the driver will report an error if the script exits with a
-non-zero status.  This option has effect also
-@c FIXME: The sentence above has no end.
+non-zero status.  This option has effect also on non-zero exit statuses
+due to termination by a signal.
 @item --comments
 Instruct the test driver to display TAP diagnostic (i.e., lines beginning
 with the @samp{#} character) in the testsuite progress output too; by
-- 
1.7.9